package com.rjconsultores.ventaboletos.rest.service;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.rjconsultores.routing.ReadOnlyConnection;
import com.rjconsultores.ventaboletos.dao.CorridaDAO;
import com.rjconsultores.ventaboletos.entidad.Corrida.Id;
import com.rjconsultores.ventaboletos.rest.bean.ParamsSincronizarCorrida;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;
import com.rjconsultores.ventaboletos.vo.corrida.CorridaVO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Service("sincronizarCorridaService")
public class SincronizarCorridaService {

	@ReadOnlyConnection
	public List<CorridaVO> buscarListaCorridasPorId(ParamsSincronizarCorrida params) throws Exception {
		CorridaDAO corridaDAO = (CorridaDAO)AppContext.getApplicationContext().getBean("corridaDAO");
		List<Id> corridaIds = new ArrayList<Id>();

		for (String chave : params.getListCorridas()) {
			String[] split = chave.split(";");
			String corridaId = split[0].trim();
			String fecha = split[1].trim();
			corridaIds.add(new Id(Integer.parseInt(corridaId), DateUtil.getDateFromString(fecha, "ddMMyyyy")));
		}
		
		List<CorridaVO> listaCorridaVO = corridaDAO.buscarListaPorIds(corridaIds);
		
		return listaCorridaVO;
	}	
	
}